Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QHBoxLayout

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QHBoxLayout class reference

### Public Functions

- QHBoxLayout ( QWidget * parent, int margin, int spacing = -1, const char * name = 0 ) `(obsolete)`
- QHBoxLayout ( QLayout * parentLayout, int spacing, const char * name = 0 ) `(obsolete)`
- QHBoxLayout ( int spacing, const char * name = 0 ) `(obsolete)`

## Member Function Documentation

### QHBoxLayout::QHBoxLayout ( QWidget * parent, int margin, int spacing = -1, const char * name = 0 )

Constructs a new top-level horizontal box called name, with parent parent.

The margin is the number of pixels between the edge of the widget and its managed children. The spacing is the default number of pixels between neighboring children. If spacing is -1 the value of margin is used for spacing.

### QHBoxLayout::QHBoxLayout ( QLayout * parentLayout, int spacing, const char * name = 0 )

Constructs a new horizontal box called name name and adds it to parentLayout.

The spacing is the default number of pixels between neighboring children. If spacing is -1, this QHBoxLayout will inherit its parent's spacing().

### QHBoxLayout::QHBoxLayout ( int spacing, const char * name = 0 )

Constructs a new horizontal box called name name. You must add it to another layout.

The spacing is the default number of pixels between neighboring children. If spacing is -1, this QHBoxLayout will inherit its parent's spacing().